MARTe2-core - User story #241

Log all errors
20.10.2015 11:15 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Revisit all the source files and make sure that all errors are properly logged.

Source code files modified

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

Person who did the review: Andre’ Neto

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 09/11/2015

Person who did the review: Andre' Neto
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

As a note, as the number of error reports is increasing, the coverage is struggling to keep up to date. We should try to find a way to
tell Icov to accept as covered when an error is reported.
Associated revisions

Revision 010a387b - 05.11.2015 16:14 - Giuseppe Ferro
#241 Added Log reporting

Revision 77d12130 - 05.11.2015 16:39 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#245_Linux_TCP_Socket' into #241_LogAllErrors

Revision ccd92459 - 05.11.2015 16:40 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#247_Linux_UDP_Socket' into #241_LogAllErrors

Revision 6fed9a0e - 09.11.2015 12:05 - André Neto

#241 Applied code formatter to several files.

History

#1 - 23.10.2015 13:20 - André Neto
- Status changed from New to Code: Impl

#2 - 23.10.2015 13:25 - André Neto

- Description updated

#3 - 23.10.2015 13:30 - André Neto

- Target version changed from Backlog to 0.7

#4 - 05.11.2015 13:02 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 05.11.2015 16:32 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 05.11.2015 16:32 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#7 - 09.11.2015 12:07 - André Neto
- Description updated

- Status changed from Code: Rev to Unit: Rev

#8 - 09.11.2015 12:07 - André Neto

- Assignee set to André Neto

#9 - 09.11.2015 12:59 - André Neto
- Description updated

- Status changed from Unit: Rev to Closed

#10 - 09.11.2015 12:59 - André Neto
- Assignee deleted (André Neto)
